<?php
/**
 * @version SOFORT Gateway - $Date: 2012-11-06 15:02:03 +0100 (Di, 06 Nov 2012) $
 * @author SOFORT AG (integration@sofort.com)
 * @link http://www.sofort.com/
 *
 * Copyright (c) 2012 SOFORT AG
 *
 * $Id: sofort_su.php 5621 2012-11-06 14:02:03Z rotsch $
 */

//include language-constants used in all Multipay Projects
require_once 'sofort_general.php';

define('MODULE_PAYMENT_SOFORT_SU_TEXT_DESCRIPTION_EXTRA', 
	MODULE_PAYMENT_SOFORT_MULTIPAY_JS_LIBS.'
	<div id="suExtraDesc">
		<div class="content" style="display:none;"></div>
	</div>
	<script type="text/javascript">
		suOverlay = new sofortOverlay(jQuery("#suExtraDesc"), "'.HTTP_SERVER.DIR_WS_CATALOG.'index.php?main_page=sofort_get_content", "https://documents.sofort.com/sb/shopinfo/pl");
	</script>
');

define('MODULE_PAYMENT_SOFORT_SOFORTUEBERWEISUNG_TEXT_TITLE', 'SOFORT Banking <br /> <img src="https://images.sofort.com/pl/su/logo_90x30.png" alt="Logo SOFORT Banking"/>'); //admin view
define('MODULE_PAYMENT_SOFORT_SU_TEXT_TITLE', 'SOFORT Banking'); //public view
define('MODULE_PAYMENT_SOFORT_SU_KS_TEXT_TITLE', 'SOFORT Banking z ochron kupujcgo'); //public view with ks
define('MODULE_PAYMENT_SOFORT_SU_LOGO_HTML', '<img src="https://images.sofort.com/pl/su/logo_90x30.png" alt="Logo SOFORT Banking"/>');
define('MODULE_PAYMENT_SOFORT_SU_TEXT_DESCRIPTION', 'SOFORT Banking jest bezpatn, sprawdzon przez TV usug patnoci firmy SOFORT AG.');

define('MODULE_PAYMENT_SOFORT_SU_TEXT_DESCRIPTION_CHECKOUT_PAYMENT_IMAGE', '     <table border="0" cellspacing="0" cellpadding="0">      <tr>        <td valign="bottom">
	<a onclick="javascript:window.open(\'https://images.sofort.com/pl/su/landing.php\',\'Informacje klientw\',\'toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=yes, resizable=yes, width=1020, height=900\');" style="float:left; width:auto; cursor:pointer;">
		{{image}}
	</a>
	</td>      </tr>      <tr> <td class="main">{{text}}</td>      </tr>      </table>');

define('MODULE_PAYMENT_SOFORT_SU_TEXT_DESCRIPTION_CHECKOUT_PAYMENT_IMAGEALT', 'SOFORT Banking');

define('MODULE_PAYMENT_SOFORT_MULTIPAY_SU_CHECKOUT_TEXT', '<ul><li>System patniczy ze sprawdzon przez TV ochron danych</li><li>Rejestracja nie jest konieczna</li><li>Towar/usuga zostanie NATYCHMIAST wysana</li><li>Prosimy o przygotowanie danych bankowoci internetowej(PIN/TAN)</li></ul>');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_SU_CHECKOUT_TEXT_KS', '<ul><li>Poczas zapaty z SOFORT Banking korzystaj Pastwo z ochrony kupujcego! [[link_beginn]]Wicej informacji[[link_end]]</li><li>System patniczy ze sprawdzon przez TV ochron danych </li><li>Brak koniecznoci rejestracji</li><li>Towar/usuga jest NATYCHMIAST wysyana</li><li>Prosimy o przygotowanie danych bankowoci internetowej (PIN/TAN)</li></ul>');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_SU_CHECKOUT_INFOLINK_KS', 'https://www.sofort-bank.com/eng-DE/general/kaeuferschutz/informationen-fuer-kaeufer/');
define('MODULE_PAYMENT_SOFORT_SU_COUNTRIES_TITLE', 'Dozwolone strefy');
define('MODULE_PAYMENT_SOFORT_SU_COUNTRIES_DESC', 'Prosimy o podanie <b>pojedynczo</b> stref, ktre bd dozwolone do uytkowania przez ten modu. (np. AT, DE (pusto pole oznacza uruchomienie wszystkich stref))');
define('MODULE_PAYMENT_SOFORT_SU_STATUS_TITLE', 'Aktywacja moduu sofort.de');
define('MODULE_PAYMENT_SOFORT_SU_STATUS_DESC', 'Aktywacja/deaktywacja caego moduu');
define('MODULE_PAYMENT_SOFORT_SU_ZONE_TITLE', MODULE_PAYMENT_SOFORT_MULTIPAY_ZONE_TITLE);
define('MODULE_PAYMENT_SOFORT_SU_ZONE_DESC', MODULE_PAYMENT_SOFORT_MULTIPAY_ZONE_DESC);

define('MODULE_PAYMENT_SOFORT_SU_SORT_ORDER_TITLE', 'Kolejno wywietlania');
define('MODULE_PAYMENT_SOFORT_SU_SORT_ORDER_DESC', 'Kolejno wywietlania. Najnisze cyfry zostaj wywietlone jako pierwsze.');
define('MODULE_PAYMENT_SOFORT_SU_KS_STATUS_TITLE', 'Ochrona kupujcego aktywowana');
define('MODULE_PAYMENT_SOFORT_SU_KS_STATUS_DESC', 'Aktywacja ochrony kupujcego dla SOFORT Banking.');

define('MODULE_PAYMENT_SOFORT_SU_PEN_NOT_CRE_YET_STATUS_ID_TITLE', 'Potwierdzony status zamwienia');
define('MODULE_PAYMENT_SOFORT_SU_PEN_NOT_CRE_YET_STATUS_ID_DESC', 'Potwierdzony status zamwienia<br />Status zamwienia po zakoczonej transkacji.'); // (pending-not_credited_yet)

define('MODULE_PAYMENT_SOFORT_SU_LOS_NOT_CRE_STATUS_ID_TITLE', 'Status zamwienia, gdy nie stwierdzono wpywu rodkw');
define('MODULE_PAYMENT_SOFORT_SU_LOS_NOT_CRE_STATUS_ID_DESC', 'Status zamwienia w przypadku braku wpywu pienidzy na koncie. (Wymagania: konto w Sofort Bank).'); // (loss-not_credited)

define('MODULE_PAYMENT_SOFORT_SU_REC_CRE_STATUS_ID_TITLE', 'Wpyw pienidzy');
define('MODULE_PAYMENT_SOFORT_SU_REC_CRE_STATUS_ID_DESC', 'Status dla zamwie, gdy doszy pienidze na konto SOFORT Bank.'); // (received-credited)

define('MODULE_PAYMENT_SOFORT_SU_REF_COM_STATUS_ID_TITLE', 'Czciowy zwrot');
define('MODULE_PAYMENT_SOFORT_SU_REF_COM_STATUS_ID_DESC', 'Status dla zamwie, w przypadku ktrych kupujcemu zostaa zwrcona cz sumy.');  // (refunded-compensation)

define('MODULE_PAYMENT_SOFORT_SU_REF_REF_STATUS_ID_TITLE', 'Peny zwrot');
define('MODULE_PAYMENT_SOFORT_SU_REF_REF_STATUS_ID_DESC', 'Status dla zamwie, w przypadku ktrych caa suma zostaa zwrcona kupujcemu.'); // (refunded-refunded)

define('MODULE_PAYMENT_SOFORT_SU_RECOMMENDED_PAYMENT_TITLE', '"Zalecane sposoby zapaty"');
define('MODULE_PAYMENT_SOFORT_SU_RECOMMENDED_PAYMENT_DESC', '"Zaznacz t metod patnoci jako "polecana metoda patnoci". Na stronie patnoci ma miejsce wskazanie bezporednio za metod patnoci."');
define('MODULE_PAYMENT_SOFORT_SU_RECOMMENDED_PAYMENT_TEXT', '("Zalecane sposoby zapaty")');

define('MODULE_PAYMENT_SOFORT_SU_TMP_COMMENT', 'SOFORT Banking wybrany jako metoda patnicza. Transakcja nie zostaa zakoczona.');
define('MODULE_PAYMENT_SOFORT_SU_TMP_COMMENT_SELLER', 'Przekierowanie do SOFORT - patno nie miaa jeszcze miejsca.');

define('MODULE_PAYMENT_SOFORT_SU_TEXT_ERROR_MESSAGE', 'Wybrana metoda patnicza nie jest niestety moliwa lub zostaa przerwana na yczenie klienta. Prosimy o wybranie innej metody patniczej.');
define('MODULE_PAYMENT_SOFORT_MULTIPAY_XML_FAULT_SU', 'Wybrana metoda patnicza nie jest niestety moliwa lub zostaa przerwana na yczenie klienta. Prosimy o wybranie innej metody patniczej.');

define('MODULE_PAYMENT_SOFORT_SU_PEN_NOT_CRE_YET_SELLER', '');
define('MODULE_PAYMENT_SOFORT_SU_PEN_NOT_CRE_YET_BUYER', 'Zamwienie z SOFORT Banking zostao pomylnie przesane. Pastwa numer ID: {{transaction}}');
define('MODULE_PAYMENT_SOFORT_SU_LOS_NOT_CRE_SELLER', '');
define('MODULE_PAYMENT_SOFORT_SU_LOS_NOT_CRE_BUYER', 'Jak do tej pory nie stwierdzono nadejcia pienidzy. {{time}}');
define('MODULE_PAYMENT_SOFORT_SU_REC_CRE_BUYER', '');
define('MODULE_PAYMENT_SOFORT_SU_REC_CRE_SELLER', 'Wpynicie patnoci na konto');
define('MODULE_PAYMENT_SOFORT_SU_REF_REF_SELLER', '');
define('MODULE_PAYMENT_SOFORT_SU_REF_REF_BUYER', 'Kwota faktury zostanie zwrcona. {{time}}');
define('MODULE_PAYMENT_SOFORT_SU_REF_COM_SELLER', 'Cz kwoty z rachunku zostaa zwrcona. Cakowita zwrcona kwota: {{refunded_amount}}. {{time}}');
define('MODULE_PAYMENT_SOFORT_SU_REF_COM_BUYER', 'Cz sumy zostanie zwrcony.');

?>